From e471498feb887f6170e0d6958e71b4b18ac6732b Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 12:55:03 +0100
Subject: [PATCH 47/54] feat: add ctrl q shortcut to quit

---
 lact-gui/src/app/mod.rs | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/lact-gui/src/app/mod.rs b/lact-gui/src/app/mod.rs
index 2f9db1c4..7c6f3427 100644
--- a/lact-gui/src/app/mod.rs
+++ b/lact-gui/src/app/mod.rs
@@ -13,6 +13,7 @@ use crate::{info_dialog, APP_ID, GUI_VERSION};
 use anyhow::{anyhow, Context};
 use glib::clone;
 use gpu_selector::GpuSelector;
+use gtk::gio::ActionEntry;
 use gtk::glib::{timeout_future, ControlFlow};
 use gtk::{gio::ApplicationFlags, prelude::*, *};
 use lact_client::schema::request::{ConfirmCommand, SetClocksCommand};
@@ -78,6 +79,13 @@ impl App {
             .icon_name(APP_ID)
             .build();
 
+        window.add_action_entries([ActionEntry::builder("quit")
+            .activate(clone!(@weak application => move |_, _, _| {
+                application.quit();
+            }))
+            .build()]);
+        application.set_accels_for_action("win.quit", &["<Primary>Q"]);
+
         let system_info_buf = daemon_client
             .get_system_info()
             .expect("Could not fetch system info");

